v1.0
get
/ec-site-svc/rest/v1.0/entitymanagement/studyentities/{entityType}/{tenantEntityId}/details
Retrieves study-level entities mapped to the specified tenant entity.
Request
Path Parameters
-
entityType(required): string
Entity type. Allowed values: INVESTIGATOR, INSTITUTION, LAB, DEPOT.Example:
INVESTIGATOR -
tenantEntityId(required): string
Contact or Organization ID, entity can be either of Investigator, Institution, Lab or Depot.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
limit(required): string
Minimum Value:
0Maximum Value:1000Maximum number of rows to return. Only non-negative integers are accepted.Example:50 -
offset(required): string
Minimum Value:
0Zero-based row index to start pagination. Only non-negative integers are accepted.Example:0
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples